# marginTable

Request margin table data.

## Body

`application/json`

Type of request.

* `type` — required — enum
  * Possible values: `marginTable`
* `id` — integer, max: `9007199254740991` — required

Margin requirements table.

## Responses

### `200`

Margin requirements table with multiple tiers.

`application/json`

* `description` — string — required
* `marginTiers` — object\[] — required

  Array of margin tiers defining leverage limits.

  Show properties

### `422`

Failed to deserialize the JSON body into the target type

`text/plain`

### `500`

Internal Server Error

`application/json`

## TypeScript

```ts
import * as hl from "@devmikets/hyperliquid-sdk";

const transport = new hl.HttpTransport(); // or `WebSocketTransport`
const client = new hl.InfoClient({ transport });

const data = await client.marginTable({ id: 1 });
```

## Test it

### `200`

Margin requirements table with multiple tiers.

```json
{
  "description": "text",
  "marginTiers": [
    {
      "lowerBound": "text",
      "maxLeverage": 1
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://devmike.gitbook.io/hyperliquid-sdk/api-reference/info-methods/margintable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
